curl --request PATCH \
--url https://api.salesbricks.com/api/v2/customers/{customer_id} \
--header 'Content-Type: application/json' \
--header 'X-SALESBRICKS-KEY: <api-key>' \
--data '
{
"name": "<string>",
"legal_name": "<string>",
"external_id": "<string>",
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"region": "<string>",
"zip": "<string>",
"country": "<string>"
},
"stripe_customer_id": "<string>",
"tax_id": "<string>"
}
'import requests
url = "https://api.salesbricks.com/api/v2/customers/{customer_id}"
payload = {
"name": "<string>",
"legal_name": "<string>",
"external_id": "<string>",
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"region": "<string>",
"zip": "<string>",
"country": "<string>"
},
"stripe_customer_id": "<string>",
"tax_id": "<string>"
}
headers = {
"X-SALESBRICKS-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-SALESBRICKS-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
legal_name: '<string>',
external_id: '<string>',
address: {
line_1: '<string>',
line_2: '<string>',
city: '<string>',
region: '<string>',
zip: '<string>',
country: '<string>'
},
stripe_customer_id: '<string>',
tax_id: '<string>'
})
};
fetch('https://api.salesbricks.com/api/v2/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"legal_name": "<string>",
"subscriptions": [
{
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"starts_at": "2023-12-25",
"ends_at": "2023-12-25"
}
],
"external_id": "<string>",
"address": {
"line_1": "<string>",
"city": "<string>",
"zip": "<string>",
"country": "<string>",
"line_2": "<string>",
"region": "<string>"
},
"stripe_customer_id": "<string>",
"tax_id": "<string>"
}{
"error": {
"code": "ERR_BAD_REQUEST",
"message": "Bad request — the input payload is malformed, missing required fields, or contains invalid data."
}
}{
"error": {
"code": "ERR_NOT_FOUND",
"message": "Not found — the resource you are looking for does not exist."
}
}Update a customer
Updates a customer.
Authorizations
API key for authentication
Path Parameters
^([a-zA-Z\d\-]+)$Body
Customer patch input serializer for updating an existing customer. Uses DRF's built-in partial update mechanism.
The name of the customer
Optional legal name of the customer, used as the buyer name on invoices
Optional external id of the customer
The address of the customer
Show child attributes
Show child attributes
Optional Stripe customer ID to associate with this customer
Tax identification number (e.g., EIN, VAT number)
Response
Customer output serializer; we can represent the customer model differently depending on the request so we need a custom serializer for the output.
List of subscriptions associated with this customer
Show child attributes
Show child attributes
255The address of the customer
Show child attributes
Show child attributes
The companies stripe customer_id
255Tax identification number (e.g., EIN, VAT number)